|
|||||||||
| Home >> All >> org >> apache >> [ ajp overview ] | PREV NEXT | ||||||||
A
- AJP13_SW_HEADER - Static variable in class org.apache.ajp.Ajp13Packet
- AJP13_WS_HEADER - Static variable in class org.apache.ajp.Ajp13Packet
- AJP14_BAD_KEY_ERR - Static variable in class org.apache.ajp.NegociationHandler
- AJP14_COMPUTED_KEY_LEN - Static variable in class org.apache.ajp.NegociationHandler
- AJP14_CONTEXT_DOWN - Static variable in class org.apache.ajp.NegociationHandler
- AJP14_CONTEXT_INFO_NEG - Static variable in class org.apache.ajp.NegociationHandler
- AJP14_CONTEXT_OK - Static variable in class org.apache.ajp.NegociationHandler
- AJP14_CONTEXT_UP - Static variable in class org.apache.ajp.NegociationHandler
- AJP14_CONTEXT_UPDATE_NEG - Static variable in class org.apache.ajp.NegociationHandler
- AJP14_DES56_STREAM_NEG - Static variable in class org.apache.ajp.NegociationHandler
- AJP14_ENGINE_DOWN_ERR - Static variable in class org.apache.ajp.NegociationHandler
- AJP14_ENTROPY_SEED_LEN - Static variable in class org.apache.ajp.NegociationHandler
- AJP14_GZIP_STREAM_NEG - Static variable in class org.apache.ajp.NegociationHandler
- AJP14_PROTO_SUPPORT_AJP14_NEG - Static variable in class org.apache.ajp.NegociationHandler
- AJP14_PROTO_SUPPORT_AJP15_NEG - Static variable in class org.apache.ajp.NegociationHandler
- AJP14_PROTO_SUPPORT_AJP16_NEG - Static variable in class org.apache.ajp.NegociationHandler
- AJP14_PROTO_SUPPORT_AJPXX_NEG - Static variable in class org.apache.ajp.NegociationHandler
- AJP14_RETRY_LATER_ERR - Static variable in class org.apache.ajp.NegociationHandler
- AJP14_SHUT_AUTHOR_FAILED_ERR - Static variable in class org.apache.ajp.NegociationHandler
- AJP14_SSL_VCLIENT_NEG - Static variable in class org.apache.ajp.NegociationHandler
- AJP14_SSL_VCRYPTO_NEG - Static variable in class org.apache.ajp.NegociationHandler
- AJP14_SSL_VMISC_NEG - Static variable in class org.apache.ajp.NegociationHandler
- AJP14_SSL_VSERVER_NEG - Static variable in class org.apache.ajp.NegociationHandler
- Ajp13 - class org.apache.ajp.Ajp13.
- Represents a single, persistent connection between the web server and the servlet container.
- Ajp13() - Constructor for class org.apache.ajp.Ajp13
- Ajp13(RequestHandler) - Constructor for class org.apache.ajp.Ajp13
- Ajp13Packet - class org.apache.ajp.Ajp13Packet.
- A single packet for communication between the web server and the container.
- Ajp13Packet(int) - Constructor for class org.apache.ajp.Ajp13Packet
- Create a new packet with an internal buffer of given size.
- Ajp13Packet(byte[]) - Constructor for class org.apache.ajp.Ajp13Packet
- Create a new packet with given bytes
- AjpHandler - class org.apache.ajp.AjpHandler.
- Base class for handlers of Ajp messages.
- AjpHandler() - Constructor for class org.apache.ajp.AjpHandler
- addHeader(MimeHeaders) - Method in class org.apache.ajp.Ajp13Packet
- appendBool(boolean) - Method in class org.apache.ajp.Ajp13Packet
- appendByte(byte) - Method in class org.apache.ajp.Ajp13Packet
- appendBytes(byte[], int, int) - Method in class org.apache.ajp.Ajp13Packet
- Copy a chunk of bytes into the packet, starting at the current write position.
- appendInt(int) - Method in class org.apache.ajp.Ajp13Packet
- appendLongInt(int) - Method in class org.apache.ajp.Ajp13Packet
- appendString(String) - Method in class org.apache.ajp.Ajp13Packet
- Write a String out at the current write position.
- appendXBytes(byte[], int, int) - Method in class org.apache.ajp.Ajp13Packet
- Copy a chunk of bytes into the packet, starting at the current write position.
- available() - Method in class org.apache.ajp.Ajp13
- Deprecated. -- Will use reqHandler, make sure nobody else calls this
- available(Ajp13) - Method in class org.apache.ajp.RequestHandler
B
- backwardCompat - Variable in class org.apache.ajp.Ajp13
- beginSendHeaders(int, String, int) - Method in class org.apache.ajp.Ajp13
- beginSendHeaders(Ajp13, Ajp13Packet, int, String, int) - Method in class org.apache.ajp.RequestHandler
- blen - Variable in class org.apache.ajp.Ajp13
- bodyBuff - Variable in class org.apache.ajp.Ajp13
- buff - Variable in class org.apache.ajp.Ajp13Packet
- Holds the bytes of the packet
C
- channel - Variable in class org.apache.ajp.AjpHandler
- checkIn() - Method in class org.apache.ajp.Ajp13Packet
- Parse the packet header for a packet sent from the web server to the container.
- close() - Method in class org.apache.ajp.Ajp13
- Close the socket connection to the web server.
- containerSignature - Variable in class org.apache.ajp.NegociationHandler
- currentId - Variable in class org.apache.ajp.Ajp13
D
- DEFAULT_CHAR_ENCODING - Static variable in class org.apache.ajp.Ajp13Packet
- debug - Variable in class org.apache.ajp.Ajp13
- debug - Static variable in class org.apache.ajp.NegociationHandler
- debug - Variable in class org.apache.ajp.RequestHandler
- decodeNegociation(int) - Method in class org.apache.ajp.NegociationHandler
- Display Negociation field in human form
- decodeRequest(Ajp13, Ajp13Packet, BaseRequest) - Method in class org.apache.ajp.RequestHandler
- Parse a FORWARD_REQUEST packet from the web server and store its properties in the passed-in request object.
- digest(String[], String) - Method in class org.apache.ajp.NegociationHandler
- Compute a digest (MD5 in AJP14) for an array of String
- doRead() - Method in class org.apache.ajp.Ajp13
- doRead(byte[], int, int) - Method in class org.apache.ajp.Ajp13
- doRead(Ajp13) - Method in class org.apache.ajp.RequestHandler
- Return the next byte of request body data (to a servlet).
- doRead(Ajp13, byte[], int, int) - Method in class org.apache.ajp.RequestHandler
- Store a chunk of request data into the passed-in byte buffer.
- doWrite(byte[], int, int) - Method in class org.apache.ajp.Ajp13
- doWrite(Ajp13, Ajp13Packet, byte[], int, int) - Method in class org.apache.ajp.RequestHandler
- Send a chunk of response body data to the web server and on to the browser.
- dump(String) - Method in class org.apache.ajp.Ajp13Packet
E
- encoding - Variable in class org.apache.ajp.Ajp13Packet
- encoding to use when converting byte[] <-> string
- end() - Method in class org.apache.ajp.Ajp13Packet
- For a packet to be sent to the web server, finish the process of accumulating data and write the length of the data payload into the header.
- endSendHeaders() - Method in class org.apache.ajp.Ajp13
- endSendHeaders(Ajp13, Ajp13Packet) - Method in class org.apache.ajp.RequestHandler
- end_of_stream - Variable in class org.apache.ajp.Ajp13
F
- finish() - Method in class org.apache.ajp.Ajp13
- finish(Ajp13, Ajp13Packet) - Method in class org.apache.ajp.RequestHandler
- Signal the web server that the servlet has finished handling this request, and that the connection can be reused.
G
- getBool() - Method in class org.apache.ajp.Ajp13Packet
- getBuff() - Method in class org.apache.ajp.Ajp13Packet
- Get the internal buffer
- getByte() - Method in class org.apache.ajp.Ajp13Packet
- getByteOff() - Method in class org.apache.ajp.Ajp13Packet
- Get offset into internal buffer.
- getBytes(byte[]) - Method in class org.apache.ajp.Ajp13Packet
- Copy a chunk of bytes from the packet into an array and advance the read position past the chunk.
- getEncoding() - Method in class org.apache.ajp.Ajp13Packet
- Get the encoding used for byte[] <-> string conversions.
- getInt() - Method in class org.apache.ajp.Ajp13Packet
- Read an integer from packet, and advance the read position past it.
- getLen() - Method in class org.apache.ajp.Ajp13Packet
- Get length.
- getLongInt() - Method in class org.apache.ajp.Ajp13Packet
- Read a 32 bits integer from packet, and advance the read position past it.
- getMessageBytes(MessageBytes) - Method in class org.apache.ajp.Ajp13Packet
- getPassword() - Method in class org.apache.ajp.NegociationHandler
- Get the secret password
- getProtocolFlags(int) - Method in class org.apache.ajp.NegociationHandler
- Compute the Protocol Negociation Flags Depending the protocol fatures implemented on servet-engine, we'll drop requested features which could be asked by web-server Hopefully this functions could be overrided by decendants
- getSecret() - Method in class org.apache.ajp.Ajp13
- getSeed() - Method in class org.apache.ajp.NegociationHandler
- Get the original entropy seed
- getString() - Method in class org.apache.ajp.Ajp13Packet
- Read a String from the packet, and advance the read position past it.
- getXBytes(byte[], int) - Method in class org.apache.ajp.Ajp13Packet
- Copy a chunk of bytes from the packet into an array and advance the read position past the chunk.
H
- H_SIZE - Static variable in class org.apache.ajp.Ajp13
- hBuf - Variable in class org.apache.ajp.Ajp13
- handleAjpMessage(int, Ajp13, Ajp13Packet, BaseRequest) - Method in class org.apache.ajp.AjpHandler
- Execute the callback
- handleAjpMessage(int, Ajp13, Ajp13Packet, BaseRequest) - Method in class org.apache.ajp.NegociationHandler
- handleAjpMessage(int, Ajp13, Ajp13Packet, BaseRequest) - Method in class org.apache.ajp.RequestHandler
- handleContextQuery(Ajp13, Ajp13Packet, Ajp13Packet) - Method in class org.apache.ajp.NegociationHandler
- handleContextState(Ajp13Packet, Ajp13Packet) - Method in class org.apache.ajp.NegociationHandler
- handleLogComp(Ajp13, Ajp13Packet, Ajp13Packet) - Method in class org.apache.ajp.NegociationHandler
- Handle the Second Phase of Login (accreditation) Get the MD5 digest of entropy + secret password If the authentification is valid send back LogOk If the authentification failed send back LogNok
- handleLogInit(Ajp13, Ajp13Packet, Ajp13Packet) - Method in class org.apache.ajp.NegociationHandler
- Handle the Initial Login Message from Web-Server Get the requested Negociation Flags Get also the Web-Server Name Send Login Seed (MD5 of seed)
- handleMessage(int, Ajp13Packet, BaseRequest) - Method in class org.apache.ajp.Ajp13
- Override for ajp14, temporary
- handleShutdown(Ajp13Packet, Ajp13Packet) - Method in class org.apache.ajp.NegociationHandler
- handleStatus(Ajp13Packet, Ajp13Packet) - Method in class org.apache.ajp.NegociationHandler
- handleUnknowPacket(Ajp13Packet, Ajp13Packet) - Method in class org.apache.ajp.NegociationHandler
- handlerName - Variable in class org.apache.ajp.Ajp13
- handlers - Variable in class org.apache.ajp.Ajp13
- headerNameToSc(String) - Method in class org.apache.ajp.RequestHandler
- Translate an HTTP response header name to an integer code if possible.
- headerTransArray - Static variable in class org.apache.ajp.RequestHandler
- hex(int) - Method in class org.apache.ajp.Ajp13Packet
- hexLine(int) - Method in class org.apache.ajp.Ajp13Packet
I
- in - Variable in class org.apache.ajp.Ajp13
- inBuf - Variable in class org.apache.ajp.Ajp13
- init(Ajp13) - Method in class org.apache.ajp.AjpHandler
- init(Ajp13) - Method in class org.apache.ajp.NegociationHandler
- init(Ajp13) - Method in class org.apache.ajp.RequestHandler
- initBuf() - Method in class org.apache.ajp.Ajp13
- Will be overriden
- isLogged() - Method in class org.apache.ajp.Ajp13
J
- JK_AJP13_BAD_BODY - Static variable in class org.apache.ajp.Ajp13
- JK_AJP13_BAD_HEADER - Static variable in class org.apache.ajp.Ajp13
- JK_AJP13_COMM_BROKEN - Static variable in class org.apache.ajp.Ajp13
- JK_AJP13_COMM_CLOSED - Static variable in class org.apache.ajp.Ajp13
- JK_AJP13_CPING_REQUEST - Static variable in class org.apache.ajp.RequestHandler
- JK_AJP13_CPONG_REPLY - Static variable in class org.apache.ajp.RequestHandler
- JK_AJP13_END_RESPONSE - Static variable in class org.apache.ajp.RequestHandler
- JK_AJP13_FORWARD_REQUEST - Static variable in class org.apache.ajp.RequestHandler
- JK_AJP13_GET_BODY_CHUNK - Static variable in class org.apache.ajp.RequestHandler
- JK_AJP13_INCOMPLETE_BODY - Static variable in class org.apache.ajp.Ajp13
- JK_AJP13_NO_HEADER - Static variable in class org.apache.ajp.Ajp13
- JK_AJP13_PING_REQUEST - Static variable in class org.apache.ajp.RequestHandler
- JK_AJP13_SEND_BODY_CHUNK - Static variable in class org.apache.ajp.RequestHandler
- JK_AJP13_SEND_HEADERS - Static variable in class org.apache.ajp.RequestHandler
- JK_AJP13_SHUTDOWN - Static variable in class org.apache.ajp.RequestHandler
- JK_AJP14_CONTEXT_INFO_CMD - Static variable in class org.apache.ajp.NegociationHandler
- JK_AJP14_CONTEXT_QRY_CMD - Static variable in class org.apache.ajp.NegociationHandler
- JK_AJP14_CONTEXT_STATE_CMD - Static variable in class org.apache.ajp.NegociationHandler
- JK_AJP14_CONTEXT_STATE_REP_CMD - Static variable in class org.apache.ajp.NegociationHandler
- JK_AJP14_CONTEXT_UPDATE_CMD - Static variable in class org.apache.ajp.NegociationHandler
- JK_AJP14_LOGCOMP_CMD - Static variable in class org.apache.ajp.NegociationHandler
- JK_AJP14_LOGINIT_CMD - Static variable in class org.apache.ajp.NegociationHandler
- JK_AJP14_LOGNOK_CMD - Static variable in class org.apache.ajp.NegociationHandler
- JK_AJP14_LOGOK_CMD - Static variable in class org.apache.ajp.NegociationHandler
- JK_AJP14_LOGSEED_CMD - Static variable in class org.apache.ajp.NegociationHandler
- JK_AJP14_SHUTDOWN_CMD - Static variable in class org.apache.ajp.NegociationHandler
- JK_AJP14_SHUTNOK_CMD - Static variable in class org.apache.ajp.NegociationHandler
- JK_AJP14_SHUTOK_CMD - Static variable in class org.apache.ajp.NegociationHandler
- JK_AJP14_STATUS_CMD - Static variable in class org.apache.ajp.NegociationHandler
- JK_AJP14_UNKNOW_PACKET_CMD - Static variable in class org.apache.ajp.NegociationHandler
L
- Logger - class org.apache.ajp.Logger.
- A simple logger class used by classes in this package.
- Logger() - Constructor for class org.apache.ajp.Logger
- len - Variable in class org.apache.ajp.Ajp13Packet
- This actually means different things depending on whether the packet is read or write.
- log - Static variable in class org.apache.ajp.Ajp13Packet
- log - Static variable in class org.apache.ajp.Logger
- log(String) - Method in class org.apache.ajp.Logger
- Log the given message.
- log(String, Throwable) - Method in class org.apache.ajp.Logger
- Log the given message and error.
- log - Static variable in class org.apache.ajp.NegociationHandler
- log(String) - Method in class org.apache.ajp.NegociationHandler
- log(String) - Method in class org.apache.ajp.RequestHandler
- logged - Variable in class org.apache.ajp.Ajp13
- logger - Variable in class org.apache.ajp.Ajp13
- XXX place holder...
- logger - Variable in class org.apache.ajp.RequestHandler
M
- MAX_HANDLERS - Static variable in class org.apache.ajp.Ajp13
- MAX_PACKET_SIZE - Static variable in class org.apache.ajp.Ajp13
- MAX_READ_SIZE - Static variable in class org.apache.ajp.Ajp13
- MAX_SEND_SIZE - Static variable in class org.apache.ajp.Ajp13
- methodTransArray - Static variable in class org.apache.ajp.RequestHandler
N
- NegociationHandler - class org.apache.ajp.NegociationHandler.
- Handler for the protocol negotiation.
- NegociationHandler() - Constructor for class org.apache.ajp.NegociationHandler
O
- org.apache.ajp - package org.apache.ajp
- out - Variable in class org.apache.ajp.Ajp13
- outBuf - Variable in class org.apache.ajp.Ajp13
P
- password - Variable in class org.apache.ajp.NegociationHandler
- peekByte() - Method in class org.apache.ajp.Ajp13Packet
- peekInt() - Method in class org.apache.ajp.Ajp13Packet
- Read an integer from the packet, but don't advance the read position past it.
- peekLongInt() - Method in class org.apache.ajp.Ajp13Packet
- Read a 32 bits integer from the packet, but don't advance the read position past it.
- pos - Variable in class org.apache.ajp.Ajp13
- pos - Variable in class org.apache.ajp.Ajp13Packet
- The current read or write position in the buffer
R
- RESERVED - Static variable in class org.apache.ajp.Ajp13
- RequestHandler - class org.apache.ajp.RequestHandler.
- Handle messages related with basic request information.
- RequestHandler() - Constructor for class org.apache.ajp.RequestHandler
- readN(InputStream, byte[], int, int) - Method in class org.apache.ajp.Ajp13
- Read N bytes from the InputStream, and ensure we got them all Under heavy load we could experience many fragmented packets just read Unix Network Programming to recall that a call to read didn't ensure you got all the data you want from read() Linux manual On success, the number of bytes read is returned (zero indicates end of file), and the file position is advanced by this number.
- receive(Ajp13Packet) - Method in class org.apache.ajp.Ajp13
- Read in a packet from the web server and store it in the passed-in
Ajp13Packetobject. - receiveNextRequest(BaseRequest) - Method in class org.apache.ajp.Ajp13
- Read a new packet from the web server and decode it.
- recycle() - Method in class org.apache.ajp.Ajp13
- refillReadBuffer() - Method in class org.apache.ajp.Ajp13
- refillReadBuffer(Ajp13) - Method in class org.apache.ajp.RequestHandler
- Get more request body data from the web server and store it in the internal buffer.
- registerMessageType(int, String, AjpHandler, String[]) - Method in class org.apache.ajp.Ajp13
- reqHandler - Variable in class org.apache.ajp.Ajp13
- reset() - Method in class org.apache.ajp.Ajp13Packet
- Prepare this packet for accumulating a message from the container to the web server.
S
- SC_A_ARE_DONE - Static variable in class org.apache.ajp.RequestHandler
- SC_A_AUTH_TYPE - Static variable in class org.apache.ajp.RequestHandler
- SC_A_CONTEXT - Static variable in class org.apache.ajp.RequestHandler
- SC_A_JVM_ROUTE - Static variable in class org.apache.ajp.RequestHandler
- SC_A_QUERY_STRING - Static variable in class org.apache.ajp.RequestHandler
- SC_A_REMOTE_USER - Static variable in class org.apache.ajp.RequestHandler
- SC_A_REQ_ATTRIBUTE - Static variable in class org.apache.ajp.RequestHandler
- SC_A_SECRET - Static variable in class org.apache.ajp.RequestHandler
- SC_A_SERVLET_PATH - Static variable in class org.apache.ajp.RequestHandler
- SC_A_SSL_CERT - Static variable in class org.apache.ajp.RequestHandler
- SC_A_SSL_CIPHER - Static variable in class org.apache.ajp.RequestHandler
- SC_A_SSL_KEY_SIZE - Static variable in class org.apache.ajp.RequestHandler
- SC_A_SSL_SESSION - Static variable in class org.apache.ajp.RequestHandler
- SC_A_STORED_METHOD - Static variable in class org.apache.ajp.RequestHandler
- SC_M_JK_STORED - Static variable in class org.apache.ajp.RequestHandler
- SC_REQ_ACCEPT - Static variable in class org.apache.ajp.RequestHandler
- SC_REQ_ACCEPT_CHARSET - Static variable in class org.apache.ajp.RequestHandler
- SC_REQ_ACCEPT_ENCODING - Static variable in class org.apache.ajp.RequestHandler
- SC_REQ_ACCEPT_LANGUAGE - Static variable in class org.apache.ajp.RequestHandler
- SC_REQ_AUTHORIZATION - Static variable in class org.apache.ajp.RequestHandler
- SC_REQ_CONNECTION - Static variable in class org.apache.ajp.RequestHandler
- SC_REQ_CONTENT_LENGTH - Static variable in class org.apache.ajp.RequestHandler
- SC_REQ_CONTENT_TYPE - Static variable in class org.apache.ajp.RequestHandler
- SC_REQ_COOKIE - Static variable in class org.apache.ajp.RequestHandler
- SC_REQ_COOKIE2 - Static variable in class org.apache.ajp.RequestHandler
- SC_REQ_HOST - Static variable in class org.apache.ajp.RequestHandler
- SC_REQ_PRAGMA - Static variable in class org.apache.ajp.RequestHandler
- SC_REQ_REFERER - Static variable in class org.apache.ajp.RequestHandler
- SC_REQ_USER_AGENT - Static variable in class org.apache.ajp.RequestHandler
- SC_RESP_CONTENT_LANGUAGE - Static variable in class org.apache.ajp.RequestHandler
- SC_RESP_CONTENT_LENGTH - Static variable in class org.apache.ajp.RequestHandler
- SC_RESP_CONTENT_TYPE - Static variable in class org.apache.ajp.RequestHandler
- SC_RESP_DATE - Static variable in class org.apache.ajp.RequestHandler
- SC_RESP_LAST_MODIFIED - Static variable in class org.apache.ajp.RequestHandler
- SC_RESP_LOCATION - Static variable in class org.apache.ajp.RequestHandler
- SC_RESP_SERVLET_ENGINE - Static variable in class org.apache.ajp.RequestHandler
- SC_RESP_SET_COOKIE - Static variable in class org.apache.ajp.RequestHandler
- SC_RESP_SET_COOKIE2 - Static variable in class org.apache.ajp.RequestHandler
- SC_RESP_STATUS - Static variable in class org.apache.ajp.RequestHandler
- SC_RESP_WWW_AUTHENTICATE - Static variable in class org.apache.ajp.RequestHandler
- secret - Variable in class org.apache.ajp.Ajp13
- seed - Variable in class org.apache.ajp.NegociationHandler
- send(Ajp13Packet) - Method in class org.apache.ajp.Ajp13
- Send a packet to the web server.
- sendCPong(Ajp13, Ajp13Packet) - Method in class org.apache.ajp.RequestHandler
- Send a CPONG REPLY to web server to its CPING request
- sendHeader(String, String) - Method in class org.apache.ajp.Ajp13
- sendHeader(Ajp13Packet, String, String) - Method in class org.apache.ajp.RequestHandler
- sendHeaders(int, MimeHeaders) - Method in class org.apache.ajp.Ajp13
- sendHeaders(int, String, MimeHeaders) - Method in class org.apache.ajp.Ajp13
- sendHeaders(Ajp13, Ajp13Packet, int, String, MimeHeaders) - Method in class org.apache.ajp.RequestHandler
- Send the HTTP headers back to the web server and on to the browser.
- sendHeaders(Ajp13, Ajp13Packet, int, MimeHeaders) - Method in class org.apache.ajp.RequestHandler
- Send the HTTP headers back to the web server and on to the browser.
- setBackward(boolean) - Method in class org.apache.ajp.Ajp13
- Backward compat mode, no login needed
- setByteOff(int) - Method in class org.apache.ajp.Ajp13Packet
- Set offset into internal buffer.
- setContainerSignature(String) - Method in class org.apache.ajp.NegociationHandler
- setDebug(int) - Method in class org.apache.ajp.Ajp13
- setDebug(int) - Method in class org.apache.ajp.RequestHandler
- setEncoding(String) - Method in class org.apache.ajp.Ajp13Packet
- Set the encoding to use for byte[] <-> string conversions.
- setInt(int, int) - Method in class org.apache.ajp.Ajp13Packet
- Write an 32 bit integer at an arbitrary position in the packet,but don't change the write position.
- setLogged(boolean) - Method in class org.apache.ajp.Ajp13
- setLogger(Logger) - Method in class org.apache.ajp.Ajp13
- setLogger(Logger) - Method in class org.apache.ajp.RequestHandler
- setLongInt(int, int) - Method in class org.apache.ajp.Ajp13Packet
- Write a 32 bits integer at an arbitrary position in the packet, but don't change the write position.
- setPassword(String) - Method in class org.apache.ajp.NegociationHandler
- Set the secret password
- setSecret(String) - Method in class org.apache.ajp.Ajp13
- setSeed(String) - Method in class org.apache.ajp.NegociationHandler
- Set the original entropy seed
- setSocket(Socket) - Method in class org.apache.ajp.Ajp13
- Associate an open socket with this instance.
U
- UNKNOWN - Static variable in class org.apache.ajp.AjpHandler
W
- webserverNegociation - Variable in class org.apache.ajp.NegociationHandler
A B C D E F G H I J L M N O P R S U W
|
|||||||||
| Home >> All >> org >> apache >> [ ajp overview ] | PREV NEXT | ||||||||